package com.xt.hb.data.util;

/**
 * 生成标识符接口.
 * 
 * @author 袁晓冬
 */
public interface IdGenerator {

    /**
     * 创建String型的唯一标识
     * 
     * @return
     */
    String generateStringId();

    /**
     * 创建long型的唯一标识
     * 
     * @return
     */
    long generateLongId();

    /**
     * 创建int型的唯一标识
     * 
     * @return
     */
    int generateIntId();
}
